## utop 1.12

=== examples/custom-utop/Makefile ===
OC := ocamlbuild -classic-display -no-links -use-ocamlfind

build:
	$(OC) -pkg threads,utop -cflag -thread -lflag -thread myutop.top

clean:
	$(OC) -clean

=== debian/changelog ===
utop (1.12-1) UNRELEASED; urgency=low

  * Update to 1.12

 -- David Scott <dave.scott@citrix.com>  Mon, 12 May 2014 12:00:00 +0000

utop (1.5-1) UNRELEASED; urgency=low

  * Update to version 1.5 (discovered lurking in plain sight on github)

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 21 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: utop
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liblambda-term-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 ocaml-findlib

Package: utop
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcamomile-data
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A toplevel for OCaml which can run in a terminal or in Emacs
 utop is a toplevel for OCaml which can run in a terminal or in Emacs.
 It supports completion, colors, parenthesis matching, ...

## utop 1.18.1

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)
	cp style.css _build/utop-api.docdir/

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ _build/utop-api.docdir/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

.PHONY: default build doc test all install uninstall reinstall clean distclean configure gh-pages

=== examples/custom-utop/Makefile ===
OC := ocamlbuild -classic-display -no-links -use-ocamlfind

build:
	$(OC) -pkg threads,utop myutop.top

clean:
	$(OC) -clean

=== debian/changelog ===
utop (1.18.1-4) unstable; urgency=medium

  * Fix install for bytecode architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 14 Feb 2016 19:38:06 +0100

utop (1.18.1-3) unstable; urgency=medium

  * Fix install for bytecode architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 14 Feb 2016 16:48:53 +0100

utop (1.18.1-2) unstable; urgency=medium

  * Update build-dependencies (Closes: #813560)
  * Enable camlp4 and tests
  * Add camomile (libcamomile-ocaml-dev) dependency. This fixes the "Fatal
    error: exception Not_found" issue. (Closes: #813526)

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Feb 2016 20:14:11 +0100

utop (1.18.1-1) unstable; urgency=low

  * Initial release. (Closes: #715165)

 -- Hilko Bengen <bengen@debian.org>  Wed, 06 Jan 2016 15:54:03 +0100

=== debian/control ===
Source: utop
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 ocaml-nox (>= 4.01~),
 camlp4,
 cppo,
 libfindlib-ocaml-dev,
 liblambda-term-ocaml-dev,
Standards-Version: 3.9.6
Section: ocaml
Homepage: https://github.com/diml/utop
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/utop.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/utop.git

Package: libutop-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides},
Description: improved OCaml toplevel (development tools)
 utop is an improved toplevel for OCaml. It can run in a terminal or
 in Emacs. It supports line edition, history, real-time and context
 sensitive completion, colors, and more.
 .
 This package contains the development stuff needed to use the
 utop library in your programs.

Package: libutop-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides}
Description: improved OCaml toplevel (runtime library)
 utop is an improved toplevel for OCaml. It can run in a terminal or
 in Emacs. It supports line edition, history, real-time and context
 sensitive completion, colors, and more.
 .
 This package contains the runtime libraries for programs using
 the utop library.

Package: utop
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcamomile-ocaml-dev,
Description: improved OCaml toplevel
 utop is an improved toplevel for OCaml. It can run in a terminal or
 in Emacs. It supports line edition, history, real-time and context
 sensitive completion, colors, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' \
		--docdir /usr/share/doc/libutop-ocaml-dev \
		--enable-tests --enable-camlp4

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
ifeq ($(OCAML_NATDYNLINK),no)
	find $(DESTDIR) -name '*.cmxs' -delete
endif
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/diml/utop/releases .*/archive/(.*)\.tar\.gz

## utop 1.19.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Setup for the release
 setup.exe: setup.ml
-	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
+	ocamlopt.opt -w -3 -o $@ $< || ocamlopt -w -3 -o $@ $< || ocamlc -w -3 -o $@ $<
 	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo
 
 build: $(SETUP) setup.data

=== debian/changelog ===
utop (1.19.2-1build3) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:17:27 +0000

utop (1.19.2-1build2) yakkety; urgency=medium

  * No-change rebuild against libfindlib-ocaml-dev-ygtb5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Jul 2016 08:00:11 +0000

utop (1.19.2-1build1) yakkety; urgency=medium

  * No-change rebuild for ocaml soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 14:35:56 +0000

utop (1.19.2-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Apr 2016 19:47:54 +0200

utop (1.18.2-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 21 Mar 2016 18:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: utop
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:

## utop 1.19.3

=== Makefile ===
--- 
+++ 
@@ -37,12 +37,14 @@
 	./$(SETUP) -all $(ALLFLAGS)
 
 install: $(SETUP) setup.data
+	ocamlfind remove utop 2>/dev/null || true
 	./$(SETUP) -install $(INSTALLFLAGS)
 
 uninstall: $(SETUP) setup.data
 	./$(SETUP) -uninstall $(UNINSTALLFLAGS)
 
 reinstall: $(SETUP) setup.data
+	ocamlfind remove utop 2>/dev/null || true
 	./$(SETUP) -reinstall $(REINSTALLFLAGS)
 
 clean: $(SETUP)

=== examples/custom-utop/Makefile ===
OC := ocamlbuild -classic-display -no-links -use-ocamlfind

build:
	$(OC) -tag thread -pkg threads,utop myutop.top

clean:
	$(OC) -clean

=== examples/interact/Makefile ===
OC := ocamlbuild -classic-display -no-links -use-ocamlfind

build:
	$(OC) -pkg threads,compiler-libs.toplevel,utop test_program.byte

clean:
	$(OC) -clean

=== debian/changelog ===
utop (1.19.3-2build7) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 10:27:34 +0200

utop (1.19.3-2build6) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:30:55 +0200

utop (1.19.3-2build5) eoan; urgency=medium

  * No-change rebuild against liblwt-ocaml-wzhx7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Aug 2019 06:39:01 +0000

utop (1.19.3-2build4) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 22:58:35 +0200

utop (1.19.3-2build3) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 17:21:48 +0200

utop (1.19.3-2build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 09:51:57 +0200

utop (1.19.3-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:08:46 +0200

utop (1.19.3-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jul 2017 08:58:13 +0200

utop (1.19.3-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Sep 2016 09:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-ocaml (>= 0.9),
  ocaml-findlib,
  ocaml-nox (>= 4.01~),
  camlp4,
  cppo,
+ ocamlbuild,
  libfindlib-ocaml-dev,
  liblambda-term-ocaml-dev,
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Section: ocaml
 Homepage: https://github.com/diml/utop
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/utop.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/utop.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/utop.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/utop.git
 
 Package: libutop-ocaml-dev
 Architecture: any

## utop 2.4.2

=== debian/changelog ===
utop (2.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Nov 2019 12:58:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: utop
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
- debhelper (>= 10),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 12),
+ dh-ocaml,
  ocaml-findlib,
- ocaml-nox (>= 4.01~),
- camlp4,
+ ocaml-nox,
  cppo,
- ocamlbuild,
+ ocaml-dune,
  libfindlib-ocaml-dev,
- liblambda-term-ocaml-dev,
-Standards-Version: 4.0.0
+ liblambda-term-ocaml-dev (>= 2.0),
+Standards-Version: 4.4.1
 Section: ocaml
-Homepage: https://github.com/diml/utop
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/utop.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/utop.git
+Homepage: https://github.com/ocaml-community/utop
+Vcs-Browser: https://salsa.debian.org/ocaml-team/utop
+Vcs-Git: https://salsa.debian.org/ocaml-team/utop.git
 
 Package: libutop-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p utop

override_dh_auto_test:
	dune runtest -p utop

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/utop/LICENSE

override_dh_missing:
	dh_missing --fail-missing

## utop 2.4.3

=== debian/changelog ===
utop (2.4.3-1build1) focal; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 18:39:54 +0100

utop (2.4.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 06:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-ocaml,
  ocaml-findlib,
  ocaml-nox,
  cppo,
  ocaml-dune,
  libfindlib-ocaml-dev,
  liblambda-term-ocaml-dev (>= 2.0),
-Standards-Version: 4.4.1
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/utop
 Vcs-Browser: https://salsa.debian.org/ocaml-team/utop

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 	dune build -p utop
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dune runtest -p utop
+endif
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/utop/releases .*/archive/(.*)\.tar\.gz

## utop 2.6.0

=== debian/changelog ===
utop (2.6.0-1build1) hirsute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Dec 2020 21:39:53 +0100

utop (2.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with dh-elpa

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2020 09:18:45 +0200

utop (2.4.3-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add empty override_dh_dwz to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 17:04:19 +0200

## utop 2.7.0

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	dune build

.PHONY: install
install:
	dune install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	dune uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install


.PHONY: examples
examples:
	dune build @examples

.PHONY: test
test:
	dune runtest

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	dune build --workspace dune-workspace.dev

.PHONY: cinaps
cinaps:
	cinaps -styler ocp-indent -i src/migrate_parsetree_versions.ml*
	cinaps -styler ocp-indent -i src/migrate_parsetree_40?_40?.ml*

.PHONY: clean
clean:
	rm -rf _build *.install
	find . -name .merlin -delete

=== debian/changelog ===
utop (2.7.0-2) unstable; urgency=medium

  * Team upload
  * In emacsen scripts, exit early with xemacs21 flavor
    (Closes: #987259)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Apr 2021 14:24:02 +0200

utop (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, which adds support for OCaml 4.12

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 12:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-findlib,
  ocaml-nox,
  cppo,
  ocaml-dune,
  libfindlib-ocaml-dev,
- liblambda-term-ocaml-dev (>= 2.0),
+ liblambda-term-ocaml-dev (>= 3.1.0),
+ dh-elpa,
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -55,6 +56,7 @@
 Architecture: any
 Depends:
  ${ocaml:Depends},
+ ${elpa:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
  libcamomile-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml,elpa
 
 override_dh_auto_build:
 	dune build -p utop
@@ -22,6 +22,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/utop/LICENSE
-
-override_dh_missing:
-	dh_missing --fail-missing

## utop 2.8.0

=== debian/changelog ===
utop (2.8.0-1build1) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 15:53:09 +0000

utop (2.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 08:09:25 +0100

## utop 2.9.0

=== debian/changelog ===
utop (2.9.0-1build3) jammy; urgency=medium

  * No-change rebuild for new ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Feb 2022 22:45:58 +0000

utop (2.9.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jan 2022 19:16:32 +0100

utop (2.9.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Jan 2022 10:29:19 +0100

utop (2.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Dec 2021 15:51:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: utop
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
@@ -13,7 +14,7 @@
  liblambda-term-ocaml-dev (>= 3.1.0),
  dh-elpa,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/utop

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/utop/releases .*/utop-v?([-0-9.rc]+)\.tbz

## utop 2.12.1

=== debian/changelog ===
utop (2.12.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 17:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: utop
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
@@ -12,9 +11,11 @@
  ocaml-dune,
  libfindlib-ocaml-dev,
  liblambda-term-ocaml-dev (>= 3.1.0),
+ liblogs-ocaml-dev,
+ liblwt-ocaml-dev,
  dh-elpa,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/utop
@@ -60,7 +61,6 @@
  ${elpa:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libcamomile-ocaml-dev,
 Description: improved OCaml toplevel
  utop is an improved toplevel for OCaml. It can run in a terminal or
  in Emacs. It supports line edition, history, real-time and context

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/utop/tags .*/v?([-0-9.rc]+)\.tar.gz

## utop 2.13.0

=== debian/changelog ===
utop (2.13.0-1build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:18:42 +0200

utop (2.13.0-1build2) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Jul 2023 07:43:30 +0200

utop (2.13.0-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 02:03:25 +0200

utop (2.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 11:00:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  ocaml-findlib,
  ocaml-nox,
  cppo,
- ocaml-dune,
+ ocaml-dune (>= 3.9.0-2),
+ libdune-ocaml-dev,
  libfindlib-ocaml-dev,
  liblambda-term-ocaml-dev (>= 3.1.0),
  liblogs-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 endif
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/utop/LICENSE

## utop 2.13.1

=== debian/changelog ===
utop (2.13.1-2build7) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:40:42 +0100

utop (2.13.1-2build6) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:58:08 +0100

utop (2.13.1-2build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:27:21 +0100

utop (2.13.1-2build4) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:56:10 +0100

utop (2.13.1-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:15:20 +0100

utop (2.13.1-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 18:52:58 +0200

utop (2.13.1-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:35:02 +0200

utop (2.13.1-2) unstable; urgency=medium

  * Add libutop-ocaml-dev to runtime dependencies (Closes: #1042749,
    #1042751)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Aug 2023 08:30:00 +0200

utop (2.13.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 09:03:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-findlib,
- ocaml-nox,
+ ocaml,
  cppo,
  ocaml-dune (>= 3.9.0-2),
  libdune-ocaml-dev,
@@ -15,7 +15,7 @@
  liblogs-ocaml-dev,
  liblwt-ocaml-dev,
  dh-elpa,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
@@ -58,6 +58,7 @@
 Package: utop
 Architecture: any
 Depends:
+ libutop-ocaml-dev,
  ${ocaml:Depends},
  ${elpa:Depends},
  ${shlibs:Depends},

## utop 2.14.0

=== debian/changelog ===
utop (2.14.0-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 06:54:38 +0200

utop (2.14.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 10:50:18 +0200

utop (2.14.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 09:51:59 +0200

utop (2.14.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Run tests

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 13:30:22 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  liblambda-term-ocaml-dev (>= 3.1.0),
  liblogs-ocaml-dev,
  liblwt-ocaml-dev,
+ libalcotest-ocaml-dev <!nocheck>,
  dh-elpa,
  dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2

## utop 2.15.0

=== debian/changelog ===
utop (2.15.0-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:32:59 +0200

utop (2.15.0-1build7) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 22:56:00 -0400

utop (2.15.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:45:23 +0100

utop (2.15.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:37:36 +0100

utop (2.15.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:02:24 +0100

utop (2.15.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:15:40 +0100

utop (2.15.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:42:28 +0100

utop (2.15.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 19:03:24 +0100

utop (2.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 18:15:26 +0100

## utop 2.16.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,6 @@
 reinstall:
 	$(MAKE) uninstall
 	$(MAKE) install
-
 
 .PHONY: examples
 examples:
@@ -39,3 +38,21 @@
 clean:
 	rm -rf _build *.install
 	find . -name .merlin -delete
+
+.PHONY: create-switches
+create-switches:
+	opam switch create utop-412 4.12.0
+	opam switch create utop-413 4.13.1
+	opam switch create utop-414 4.14.1
+	opam switch create utop-500 5.0.0
+	opam switch create utop-510 5.1.0
+	opam switch create utop-520 5.2.0+trunk
+
+.PHONY: install-switches
+install-switches:
+	opam install --switch utop-412 --deps-only --with-test -y .
+	opam install --switch utop-413 --deps-only --with-test -y .
+	opam install --switch utop-414 --deps-only --with-test -y .
+	opam install --switch utop-500 --deps-only --with-test -y .
+	opam install --switch utop-510 --deps-only --with-test -y .
+	opam install --switch utop-520 --deps-only --with-test -y .

=== debian/changelog ===
utop (2.16.0-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:48:51 +0200

utop (2.16.0-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 13:35:01 +0200

utop (2.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 18:04:06 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libalcotest-ocaml-dev <!nocheck>,
  dh-elpa,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/utop

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml,elpa --buildsystem ocaml_dune
